## org.omg.CORBA
Class BoundsHelper

    java.lang.Object
      |
      +--org.omg.CORBA.BoundsHelper

Deprecated. Use org.omg.CORBA.TypeCodePackage.Bounds

public final class BoundsHelper
extends java.lang.Object

Helper class for deprecated Bounds exception.

Constructor Summary
`BoundsHelper()` Deprecated.

Method Summary
`static Bounds` `extract(Any any)` Deprecated.
`static java.lang.String` `id()` Deprecated.
`static void` `insert(Any any, Bounds _value)` Deprecated.
`static Bounds` `read(InputStream _input)` Deprecated.
`static TypeCode` `type()` Deprecated.
`static void` `write(OutputStream _output, Bounds _value)` Deprecated.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BoundsHelper

    public BoundsHelper()

  Deprecated.

Method Detail

### insert

    public static void insert(Any any,
                              Bounds _value)

  Deprecated.

### extract

    public static Bounds extract(Any any)

  Deprecated.

### type

    public static TypeCode type()

  Deprecated.

### id

    public static java.lang.String id()

  Deprecated.

### read

    public static Bounds read(InputStream _input)

  Deprecated.

### write

    public static void write(OutputStream _output,
                             Bounds _value)

  Deprecated.